# CiviCRM 5.69.5

Released February 8, 2024

- **[Synopsis](#synopsis)**
- **[Bugs resolved](#bugs)**
- **[Credits](#credits)**
- **[Feedback](#feedback)**

## <a name="synopsis"></a>Synopsis

| *Does this version...?*                                         |          |
| --------------------------------------------------------------- | -------- |
| Change the database schema?                                     | no       |
| Alter the API?                                                  | no       |
| **Require attention to configuration options?**                 | **yes**  |
| Fix problems installing or upgrading to a previous version?     | no       |
| Introduce features?                                             | no       |
| **Fix bugs?**                                                   | **yes**  |
| Fix security vulnerabilities?                                   | no       |

## <a name="bugs"></a>Bugs resolved

* **_Angular_: Sporadic errors due to inconsistent cache evictions on Memcache/Redis ([dev/core#4969](https://lab.civicrm.org/dev/core/-/issues/4969): [#29260](https://github.com/civicrm/civicrm-core/pull/29260))**
* **_CiviContribute_: Some payment processors may fail on "Thank You" page ("Call to a member function getText() on null ") ([dev/core#4980](https://lab.civicrm.org/dev/core/-/issues/4980): [#29300](https://github.com/civicrm/civicrm-core/pull/29300))**
* **_CiviContribute_: Confirmation pages omit summary details about credit-card ([dev/core#4973](https://lab.civicrm.org/dev/core/-/issues/4973): [#29312](https://github.com/civicrm/civicrm-core/pull/29312))**
* **_CiviContribute_: Fix error passing of "currency" to "Payment Processor" (in certain circumstances) ([#29326](https://github.com/civicrm/civicrm-core/pull/29326))**
* **_CiviContribute_: Fix rendering of customized "receipt_text"  ([dev/core#4948](https://lab.civicrm.org/dev/core/-/issues/4948): [#29195](https://github.com/civicrm/civicrm-core/pull/29195))**

  If you have custom version of "contribution_online_receipt_html", then you may need to update the "receipt_text" handling.

* **_CiviContribute_: Extra receipt is sent when marking a contribution complete ([dev/core#4970](https://lab.civicrm.org/dev/core/-/issues/4970): [#29264](https://github.com/civicrm/civicrm-core/pull/29264))**
* **_CiviContribute_: Fix error loading defaults for certain custom fields ([#29192](https://github.com/civicrm/civicrm-core/pull/29192))**
* **_CiviEvent_: Permission denied when certain users edit scheduled reminders ([dev/core#4971](https://lab.civicrm.org/dev/core/-/issues/4971): [#29293](https://github.com/civicrm/civicrm-core/pull/29293))**
* **_CiviMember_: When renewing, the current membership level should be pre-selected (for "Select" style membership-field) ([dev/core#4953](https://lab.civicrm.org/dev/core/-/issues/4953): [#29190](https://github.com/civicrm/civicrm-core/pull/29190))**
* **_PHP 8.2_: Warnings about "Tags and Groups" ([dev/core#4957](https://lab.civicrm.org/dev/core/-/issues/4957): [#29226](https://github.com/civicrm/civicrm-core/pull/29226), [#28755](https://github.com/civicrm/civicrm-core/pull/28755))**
* **_Scheduled Jobs_: Some jobs fail to execute ("Unknown api version") ([#29296](https://github.com/civicrm/civicrm-core/pull/29296))**
* **_Scheduled Reminders_: Won't save after "Recipients" field is cleared ([#29290](https://github.com/civicrm/civicrm-core/pull/29290))**
* **_Smarty 3_: Event registration fails while rendering plain-text ([dev/core#4951](https://lab.civicrm.org/dev/core/-/issues/4951): [#29292](https://github.com/civicrm/civicrm-core/pull/29292))**
* **_Smarty 3_: Error opening "Adminster: Resource URLs" ([dev/core#4962](https://lab.civicrm.org/dev/core/-/issues/4962): [#29203](https://github.com/civicrm/civicrm-core/pull/29203))**
* **_Tags and Groups_: If presented in a "Contribution Page", then checkboxes are missing ([dev/core#4957](https://lab.civicrm.org/dev/core/-/issues/4957): [#29193](https://github.com/civicrm/civicrm-core/pull/29193))**

## <a name="credits"></a>Credits

This release was developed by the following authors and reviewers:

Wikimedia Foundation - Eileen McNaughton; Stephen Palmstrom; Robert J. Lang; Richard van
Oosterhout; richardsplayground; N.O.U.S. Open Usefull and Simple - Bastien Ho; MJW
Consulting - Matthew Wire; Megaphone Technology Consulting - Jon Goldberg; John
Kingsnorth; JMA Consulting - Seamus Lee; Dave D; Coop SymbioTIC - Mathieu Lutfy; CiviCRM -
Coleman Watts, Tim Otten; Circle Interactive - Pradeep Nayak; BrightMinded Ltd - Bradley
Taylor; Botanical Society of America - Rob Brandt; Bill Catherall

## <a name="feedback"></a>Feedback

These release notes are edited by Tim Otten and Andie Hunt.  If you'd like to
provide feedback on them, please login to https://chat.civicrm.org/civicrm and
contact `@agh1`.
